Audit Param Analytics
curl --request GET \
--url https://api.example.com/api/audit-trail/param-analytics \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/audit-trail/param-analytics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/audit-trail/param-analytics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totals": {
"total_records": 0,
"records_with_custom_params": 0,
"applications_count": 0,
"params_count": 0
},
"by_application": [
{
"application_id": "<string>",
"key": "<string>",
"name": "<string>",
"description": "<string>",
"accent_color": "<string>",
"param_count": 0,
"usage_count": 0
}
],
"by_param": [
{
"schema_id": "<string>",
"key": "<string>",
"label": "<string>",
"application_id": "<string>",
"application_name": "<string>",
"usage_count": 0,
"distinct_values": 0,
"top_values": [
{
"value": "<string>",
"count": 123
}
]
}
],
"usage_by_day": [
{
"date": "<string>",
"total_records": 0,
"custom_param_records": 0,
"distinct_params": 0
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}audit-trail
Audit Param Analytics
GET
/
api
/
audit-trail
/
param-analytics
Audit Param Analytics
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Query Parameters
Comma-separated event types
Comma-separated categories
Comma-separated actors
Comma-separated severities
JSON array of {key, operator, value}
Cookies
Response
Successful Response
⌘I

